Skip to main content
PATCH
Update Case

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Pt-Id
string
required

Patient ID

Path Parameters

id
string
required

Unique case ID

Body

application/json
display_name
string

Human-readable name for the case

Example:

"Leg Injury"

hi_type
enum<string>

Type of case

Available options:
OPConsultation,
Prescription,
DischargeSummary,
DiagnosticReport,
ImmunizationRecord,
HealthDocumentRecord,
WellnessRecord
Example:

"OPConsultation"

type
string

Type of the case

Example:

"OP"

occurred_at
integer<unixtime>

Timestamp when the event occurred (Unix timestamp)

Example:

1678886400

partner_meta
object

metadata attached to the case.

Example:

Response

Case updated successfully (no content)